Bio::Tools::Run::Prints Build a Prints factory my @params = ('DB',$dbfile); my $factory = Bio::Tools::Run::Prints->new($params); # Pass the factory a Bio::Seq object # @feats is an array of Bio::SeqFeature::Generic objects my @feats = $factory->run($seq); FingerPRINTScan II is a PRINTS fingerprint identification algorithm. Copyright (C) 1998,1999 Phil Scordis

Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated. bioperl-l@bioperl.org - General discussion http://bio.perl.org/MailList.html - About the mailing lists

Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web: http://bugzilla.bioperl.org/ Email savikalpa@fugu-sg.org The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

program_name
Title : program_name Usage : $factory>program_name() Function: holds the program name Returns: string Args : None

program_dir
Title : program_dir Usage : $factory->program_dir(@params) Function: returns the program directory, obtiained from ENV variable. Returns: string Args :

new
Title : new Usage : $prints->new(@params) Function: creates a new Prints factory Returns: Bio::Tools::Run::Prints Args :

predict_protein_features
Title : predict_protein_features() Usage : DEPRECATED. Use $obj->run($seqFile) instead. Function: Runs Prints and creates an array of featrues Returns : An array of Bio::SeqFeature::Generic objects Args : A Bio::PrimarySeqI

run
Title : run Usage : $obj->run($seq) Function: Runs Prints Returns : An array of Bio::SeqFeature::Generic objects Args : A Bio::PrimarySeqI, or a Fasta file name

_input
Title : _input Usage : obj->_input($seqFile) Function: Internal(not to be used directly) Returns : Args :

_run
Title : _run Usage : $obj->_run() Function: Internal(not to be used directly) Returns : An array of Bio::SeqFeature::Generic objects Args :

_writeSeqFile
Title : _writeSeqFile Usage : obj->_writeSeqFile($seq) Function: Internal(not to be used directly) Returns : Args :